ad_page_contract {
    Community of Practice pending requests

    @author Jeff Davis (davis@xarg.net)
    @creation-date 2004-03-04
    @cvs-id $Id: requests.tcl,v 1.1 2005/01/25 23:33:44 jeffd Exp $
}

template::list::create \
    -name requests \
    -multirow requests \
    -no_data {No pending requests} \
    -selected_format list \
    -formats {
        table {
            label Table
            layout table
        }
        list {
            label List
            layout list
            template {
                <h2><listelement name="title"></h2>
                <p><listelement name="description"></p>
                <p><listelement name="actions"></p>
            }
        }
    } -elements {
        title {
            label Title
        }
        description {
            label Description
        } 
        actions {
            label Actions
            display_template {
                <a href="community-new?request_id=@requests.request_id@">Approve</a>&nbsp;|&nbsp;<a href="deny?request_id=@requests.request_id@">deny</a>
            }
        }
    }

db_multirow requests requests {
    select request_id, user_id, requested, from_ip, req_state, title, description, desc_format, url_stub
    from cop_requests
    where req_state = 'pending'
} {
    set description [ad_html_text_convert -from $desc_format -to text/plain $description]
}





